# ApplicationFramework
TKLCAF
TDF

# TDF_MapIteratorOfIDMap Class Reference

`#include <TDF_MapIteratorOfIDMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_MapIteratorOfIDMap ()
Standard_EXPORT | TDF_MapIteratorOfIDMap (const TDF_IDMap &aMap)
Standard_EXPORT void | Initialize (const TDF_IDMap &aMap)
Standard_EXPORT const Standard_GUID & | Key () const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_MapIteratorOfIDMap::TDF_MapIteratorOfIDMap | ( |  | ) |

Standard_EXPORT TDF_MapIteratorOfIDMap::TDF_MapIteratorOfIDMap | ( | const TDF_IDMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDF_MapIteratorOfIDMap::Initialize | ( | const TDF_IDMap & | aMap | ) |

Standard_EXPORT const Standard_GUID& TDF_MapIteratorOfIDMap::Key | ( |  | ) | const

void TDF_MapIteratorOfIDMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_MapIteratorOfIDMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_MapIteratorOfIDMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TDF_MapIteratorOfIDMap.hxx